GET /v2/project_sessions/:project_session_id/scale_teams
Return all the scale teams of the given Project session
GET /v2/scale_teams
Return all the scale teams
GET /v2/projects/:project_id/scale_teams
Return all the scale teams of the given Project
GET /v2/users/:user_id/scale_teams/as_corrector
Return all the scale teams of the given User
GET /v2/users/:user_id/scale_teams/as_corrected
Return all the scale teams of the given User
GET /v2/users/:user_id/scale_teams
Return all the scale teams of the given User
GET /v2/me/scale_teams/as_corrector
Return all the scale teams for the current resource owner
GET /v2/me/scale_teams/as_corrected
Return all the scale teams for the current resource owner
GET /v2/me/scale_teams
Return all the scale teams for the current resource owner
live_help Notes
chrome_reader_mode
This resource is paginated by 30 items
settings Params
| Param name | Description |
|---|---|
| project_session_id |
optional
. Must be String
The project_session id |
| project_id |
optional
. Must be String
The project id or slug |
| user_id |
optional
. Must be String
The user id or slug |
| sort |
optional
. Must be one of: id, user_id, begin_at, created_at, updated_at, scale_id, team_id, comment, old_feedback, feedback_rating, final_mark, truant_id, flag_id, token, ip, internship_id, filled_at.
The sort field. Sorted by begin_at desc, id desc by default. MoreExample:To sort on scale teams on the fields internship_id on a descending order and filled_at on a ascending order: ...&sort=-internship_id,filled_at |
| filter |
optional
. Must be one of: id, user_id, begin_at, created_at, updated_at, scale_id, team_id, comment, old_feedback, feedback_rating, final_mark, truant_id, flag_id, token, ip, internship_id, filled_at, campus_id, cursus_id, feedback_rating, future, filled.
Filtering on one or more fields MoreExample:
To filter on scale teams with the
...&filter[id]=a_value,another_value Filterable fields:
|
| range |
optional
. Must be one of: id, user_id, begin_at, created_at, updated_at, scale_id, team_id, comment, old_feedback, feedback_rating, final_mark, truant_id, flag_id, token, ip, internship_id, filled_at.
Select on a particular range MoreExample:
To range on scale teams with the
...&range[filled_at]=min_value,max_value Rangeable fields:
|
| page |
optional
. Must be a Hash
The pagination params, as a hash |
| page[number] |
optional
. Must be Fixnum
The current page |
| page[size] |
optional
. Must be Fixnum
The number of items per page, defaults to 30, maximum 100 |
Examples
GET /v2/scale_teams
200
[
]
curl -H "Authorization: Bearer YOUR_ACCESS_TOKEN" "https://api.intra.42.fr/v2/scale_teams"
[
]
require "oauth2"
UID = "Your application uid"
SECRET = "Your application secret"
client = OAuth2::Client.new(UID, SECRET, site: "https://api.intra.42.fr")
token = client.client_credentials.get_token
response = token.get("/v2/scale_teams")
response.status
# => 200
response.parsed
# => []